Structure.StructureSet (JNA API)
Description: declaration: package: com.sun.jna, class: Structure, class: StructureSet

Package com.sun.jna

# Class Structure.StructureSet

java.lang.Object
java.util.AbstractCollection<Structure>
com.sun.jna.Structure.StructureSet

All Implemented Interfaces:
  `Iterable<Structure>`, `Collection<Structure>`, `Set<Structure>`

Enclosing class:
  Structure

static class Structure.StructureSet extends AbstractCollection<Structure> implements Set<Structure>
Avoid using a hash-based implementation since the hash code for a Structure is not immutable.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `(package private) Structure[]`
  `elements`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StructureSet()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `add(Structure o)`
  `boolean`
  `contains(Object o)`
  `Structure[]`
  `getElements()`
  `Iterator<Structure>`
  `iterator()`
  Simple implementation so that toString() doesn't break.
  `boolean`
  `remove(Object o)`
  `int`
  `size()`

  ### Methods inherited from class java.util.AbstractCollection

  `addAll, clear, containsAll, isEmpty, removeAll, retainAll, toArray, toArray, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.Set

  `addAll, clear, containsAll, equals, hashCode, isEmpty, removeAll, retainAll, spliterator, toArray, toArray`

- ## Field Details

  - ### elements

    Structure[] elements

- ## Constructor Details

  - ### StructureSet

    StructureSet()

- ## Method Details

  - ### getElements

    public Structure[] getElements()

  - ### size

    public int size()
    Specified by:
      `size` in interface `Collection<Structure>`
    Specified by:
      `size` in interface `Set<Structure>`
    Specified by:
      `size` in class `AbstractCollection<Structure>`

  - ### contains

    public boolean contains(Object o)
    Specified by:
      `contains` in interface `Collection<Structure>`
    Specified by:
      `contains` in interface `Set<Structure>`
    Overrides:
      `contains` in class `AbstractCollection<Structure>`

  - ### add

    public boolean add(Structure o)
    Specified by:
      `add` in interface `Collection<Structure>`
    Specified by:
      `add` in interface `Set<Structure>`
    Overrides:
      `add` in class `AbstractCollection<Structure>`

  - ### remove

    public boolean remove(Object o)
    Specified by:
      `remove` in interface `Collection<Structure>`
    Specified by:
      `remove` in interface `Set<Structure>`
    Overrides:
      `remove` in class `AbstractCollection<Structure>`

  - ### iterator

    public Iterator<Structure> iterator()
    Simple implementation so that toString() doesn't break. Provides an iterator over a snapshot of this Set.
    Specified by:
      `iterator` in interface `Collection<Structure>`
    Specified by:
      `iterator` in interface `Iterable<Structure>`
    Specified by:
      `iterator` in interface `Set<Structure>`
    Specified by:
      `iterator` in class `AbstractCollection<Structure>`